/********************************************************* {COPYRIGHT-TOP} ***
 * Licensed Materials - Property of IBM
 * 5725-Z22, 5725-Z63, 5725-U33, 5725-Z63
 *
 * (C) Copyright IBM Corporation 2017
 *
 * All Rights Reserved.
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 ********************************************************** {COPYRIGHT-END} **/
'use strict';

var nib = require('nib');
var browserify = require('browserify');

function run(opts){
  // create a browserify bundle
  var bundle = browserify([
    'src/module.js'
  ]);

  bundle.transform("browserify-shim", {
    "angular": "global:angular",
    "jquery": "global:$"
  });

  bundle.transform("partialify");

  // register the stylify tranforms with options
  bundle.transform('stylify', {
    import: ['nib'],
    use: [ nib() ],
    set: { compress: true },
    paths: [
      "src/**/*.styl"
    ]
  });

  bundle.bundle()
    .pipe(process.stdout);
}

module.exports = {
  run: run
};

